﻿/* 
 Name:
	JMC_Folders
 Version:
	2.0 (29th January, 2014 ) by Justin McClure Creative
      Changelog:
	First Launch
 Author:
	Janson Linn, updated by Justin McClure
 Description:  
	This script allows users to generate the JMC file structure quickly and easily, so they can GYST! 
    
 Usage:
	In After Effects CS4 or later, run the script
	Hit Generate Folders!
*/

  
var win = new Window('palette', 'JMC Folder Structure');
var testLabel = win.add('statictext', undefined, 'Developed by Justin McClure Creative');
var btnSelect = win.add('button', undefined, 'Generate Folders!');


btnSelect.onClick = function(){
    
var compFolder0 = app.project.items.addFolder('01_MASTER COMPS'); 
var compFolder0 = app.project.items.addFolder('02_WORKING COMPS'); 
var compFolder0 = app.project.items.addFolder('03_PRE COMPS'); 

//initiates QT set
var compFolder = app.project.items.addFolder('04_VIDEO'); 
var compFolder2= app.project.items.addFolder('FOOTAGE');//folder1
var compFolder3= app.project.items.addFolder('PRERENDERS');//folder2
compFolder2.parentFolder = compFolder;//makes folder 2 child of folder1
compFolder3.parentFolder = compFolder;//makes folder 3 child of folder1

var compFolder0 = app.project.items.addFolder('05_IMAGES'); 
var compFolder0 = app.project.items.addFolder('06_AUDIO'); 
var compFolder0 = app.project.items.addFolder('07_EDIT IMPORT'); 
var compFolder0 = app.project.items.addFolder('08_AE IMPORT'); 
var compFolder0 = app.project.items.addFolder('09_3D IMPORT'); 
var compFolder0 = app.project.items.addFolder('10_REFERENCE'); 
//alerts user on completion
//alert('Folders were successfully generated. Enjoy.');
}
 

win.center();
win.show();